unit Unit1;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, Lcoewin ;

type
  TForm1 = class(TForm)
    pbOpen: TButton;
    List: TListBox;
    About: TButton;
    pbSelect: TButton;
    pbClose: TButton;
    Button1: TButton;
    procedure pbOpenClick(Sender: TObject);
    procedure AboutClick(Sender: TObject);
    procedure pbSelectClick(Sender: TObject);
    procedure pbCloseClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  nSession: Integer ;

const
  LCE_OPT_NUMERIC_DATA: SmallInt = 1 ;
  LCE_OPT_ALPHA_DATA: SmallInt = 2 ;
  LCE_OPT_EDIT_DATA: SmallInt = 3 ;
  LCE_OPT_OPEN_FILE_ON_DEMAND: SmallInt = 4 ;

  LCE_CURSOR_DEFAULT: SmallInt = 1 ;
  LCE_CURSOR_HOURGLASS: SmallInt = 2 ;
  LCE_CURSOR_NONE: SmallInt = 3 ;

  LCE_COMMS_APPC: SmallInt = 1 ;
  LCE_COMMS_PCS: SmallInt = 2 ;

implementation

{$R *.DFM}


function AspOpenSession: WordBool ;
begin

  LceDisplayErrors ( TRUE, 0 ) ;
  LceSetCommsCursor ( LCE_CURSOR_HOURGLASS ) ;
  LceSetCommsType ( LCE_COMMS_PCS ) ;

  nSession := LceGetSessionId ;

  LceUsePartition ( nSession, 'DEM' ) ;

  LceUseFile ( nSession, 'DEPTAB' ) ;
  LceUseField ( nSession, 'DEPTMENT' ) ;
  LceUseField ( nSession, 'DEPTDESC' ) ;
  LceUseLanguage ( nSession, 'ENG' ) ;

  LceUsePriority ( nSession, 20 ) ;
  LceUseProcess ( nSession, 'LCOEGUI' ) ;
  LceUseFunction ( nSession, 'LCOEGUI' ) ;

  LceUseSystem ( nSession, 'SYDASPPC' ) ;
  LceUseUserId ( nSession, 'QPGMR' ) ;
  LceUsePassword ( nSession, 'SUPTEST' ) ;

  LceSetSessionOption ( nSession, LCE_OPT_ALPHA_DATA, 'PAD' ) ;

  LceSetCommitmentOff ( nSession ) ;
  LceSetCommitmentOn ( nSession ) ;

  LceOpenSession ( nSession ) ;

end;

function AspGetDetails: WordBool ;
var
  strValue: String ;
  strType: String ;
  strEdit: String ;
  strFlag: String ;
  nLength: SmallInt ;
  nDecimal: SmallInt ;
  nCode: LongInt ;
  nCount: SmallInt ;

begin

  Form1.List.Clear ;

  LceGetFieldDesc ( nSession,'DEPTDESC', strValue ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetFieldLabel ( nSession,'DEPTDESC', strValue ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetFieldHeading ( nSession,'DEPTDESC', 1, strValue ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetFieldType ( nSession,'DEPTDESC', strType, nLength, nDecimal ) ;
  Form1.List.Items.Add ( strType ) ;

  LceGetDefaultValue ( nSession,'DEPTDESC', strValue ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetFieldEdit ( nSession,'DEPTDESC', strEdit, strFlag ) ;
  Form1.List.Items.Add ( strEdit + ' ' + strFlag ) ;

  LceGetFieldHelpText ( nSession,'DEPTDESC', 'U', ' ', strValue, 50 ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetFieldIndicator ( nSession,'DEPTDESC', strValue ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetFileDesc ( nSession,'DEPTAB', strValue ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetFileType ( nSession,'DEPTAB', strValue ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetVariable ( nSession, '*DATE', strValue ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetStatus ( nCode, strValue, 50 ) ;
  Form1.List.Items.Add ( strValue ) ;

  LceGetMessageCount ( nSession, nCount ) ;
  LceGetMessage( nSession, 1, strValue, 50 ) ;


end ;


function AspSelectDepartment: WordBool ;
var
  strValue: String ;
  nCount: SmallInt ;
  nIndex: SmallInt ;

  begin

   LceSetFieldValue ( nSession, 'DEPTMENT', 'ADM' ) ;
   LceFetch ( nSession, 'DEPTDESC','DEPTAB', 'DEPTMENT' ) ;
   LceCheckFor ( nSession, 'DEPTAB','DEPTMENT' ) ;
   LceInsert ( nSession, 'DEPTMENT,DEPTDESC','DEPTAB', TRUE ) ;

   LceUpdate ( nSession, 'DEPTDESC','DEPTAB', 'DEPTMENT', TRUE ) ;
   LceDelete ( nSession, 'DEPTAB', 'DEPTMENT', TRUE ) ;

   LceLansaCall ( nSession,'PROCESS','FUNCTION','', '' ) ;

   LceSubmit ( nSession,'PROCESS','FUNCTION','', '', '', '', '', '' ) ;
   LceExecute400 ( nSession, 'SNDMSG' ) ;

   LceCommitWork ( nSession ) ;
   LceRollBackWork ( nSession ) ;

   nCount := 0 ;
   Form1.List.Clear ;

  LceRequestSelect ( nSession,'DEPTDESC','DEPTAB',' ', FALSE ) ;
  LceReceiveSelect ( nSession,'DEPTAB' ) ;
  LceGetRecordCount ( nSession, 'DEPTAB', nCount ) ;

  LceSetSelectOptions ( nSession, '*MAXREC20' ) ;
  LceSelect ( nSession, 'DEPTDESC','DEPTAB',' ', FALSE, nCount ) ;

  nIndex := 0 ;
  while ( nIndex < nCount )
  do
    begin
          nIndex := nIndex + 1 ;
          LceGetSelect ( nSession, 'DEPTAB', nIndex, 'DEPTDESC' ) ;

          LceGetFieldValue ( nSession,'DEPTDESC', strValue ) ;

          Form1.List.Items.Add ( strValue ) ;
    end ;

 LceDeleteSelect ( nSession, 'DEPTAB' ) ;

 end;


procedure TForm1.pbOpenClick(Sender: TObject);
begin
   AspOpenSession ;
end;


procedure TForm1.AboutClick(Sender: TObject);
begin
  LceVersion ( TRUE, Form1.Handle ) ;
end;


procedure TForm1.pbSelectClick(Sender: TObject);
begin
  AspSelectDepartment ;
end;

procedure TForm1.pbCloseClick(Sender: TObject);
begin
  LceEndSession ( nSession, FALSE ) ;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  AspGetDetails ;
end;

end.


