unit lcoewin;

interface

function Lce3GLCall (nSession: SmallInt; strProgram: String; strLibrary: String; nParam: SmallInt): WordBool;
function Lce3GLDefineParameter (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt; strDirection: String; strDataType:
   String; nLength: SmallInt; nDecimal: SmallInt; strValue: String ): WordBool ;
function Lce3GLGetValue (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt;
   var strValue: String; nLength: Smallint ): WordBool;
function LceCheckFor (nSession: SmallInt; strFile: String; strKey: String ): WordBool;
function LceCommitWork(nSession: SmallInt): SmallInt;
function LceDelete (nSession: SmallInt; strFile: String; strKey: String; bValidate: WordBool): WordBool;
function LceDeleteSelect (nSession: SmallInt; strFile: String): WordBool;
function LceDisplayErrors( bDisplay: WordBool; hWnd: Integer): WordBool;
function LceEndSession(nSession: SmallInt; bResume: WordBool): WordBool;
function LceExecute400 (nSession: SmallInt; strCommand: String): WordBool;
function LceFetch (nSession: SmallInt; strFields: String; strFile: String; strKey: String ): WordBool;
function LceGetDefaultValue (nSession: SmallInt; strField: String; var strValue: String ): WordBool;
function LceGetFieldDesc (nSession: SmallInt; strField: String; var strValue: String ): WordBool;
function LceGetFieldEdit (nSession: SmallInt; strField: String; var strEdit: String; var strFlag: String ): WordBool;
function LceGetFieldHeading (nSession: SmallInt; strField: String; nHeading: SmallInt; var strValue: String ): WordBool;
function LceGetFieldHelpText (nSession: SmallInt; strField: String; strType: String; strEOL: String; var strHelp:
   String; nLength: LongInt  ): WordBool;
function LceGetFieldIndicator (nSession: SmallInt; strField: String; var strValue: String): WordBool;
function LceGetFieldLabel (nSession: SmallInt; strField: String; var strValue: String): WordBool;
function LceGetFieldType (nSession: SmallInt; strField: String; var strDataType: String; var nLength: SmallInt;
  var nDecimal: SmallInt ): WordBool;
function LceGetFieldValue (nSession: SmallInt; strField: String; var strValue: String): WordBool;
function LceGetFieldValueH (nSession: SmallInt; strField: String; hWnd: Integer): WordBool;
function LceGetFileDesc (nSession: SmallInt; strFile: String; var strValue: String): WordBool;
function LceGetFileType (nSession: SmallInt; strFile: String; var strValue: String): WordBool;
function LceGetMessage (nSession: SmallInt; nMsgNo: SmallInt; var strMessage: String; nLength: SmallInt): WordBool;
function LceGetMessageCount (nSession: SmallInt; var nCount: SmallInt ): WordBool;
function LceGetRecordCount (nSession: SmallInt; strFile: String; var nCount: SmallInt ): WordBool;
function LceGetSelect (nSession: SmallInt; strFile: String; nRecord: SmallInt; strFieldList: String ): WordBool;
function LceGetSessionId: Integer;
procedure LceGetStatus ( var nCode: LongInt; var strMessage: String; nLength: SmallInt ) ;
function LceGetVariable (nSession: SmallInt; strVariable: String; var strValue: String): WordBool;
function LceInsert (nSession: SmallInt; strFields: String; strFile: String; bValidate: WordBool): WordBool;
function LceLansaCall (nSession: SmallInt; strProcess: String; strFunction: String; strProgram: String;
   strExchange: String): WordBool;
function LceOpenSession(nSession: SmallInt): WordBool;
function LceReceiveNext (nSession: SmallInt; var strBuffer: String; nSize: SmallInt): WordBool;
function LceReceiveSelect (nSession: SmallInt; strFile: String): WordBool;
function LceRequestSelect (nSession: SmallInt; strFields: String; strFile: String; strKey:
   String; nGeneric: WordBool): WordBool;
function LceRequestSelectWhere (nSession: SmallInt; strFields: String; strFile: String; strKey: String;
   strConditions: String; nGeneric: WordBool): WordBool;
function LceRollBackWork (nSession: SmallInt): SmallInt;
function LceSelect (nSession: SmallInt; strFields: String; strFile: String; strKey: String;
  nGeneric: WordBool; var nRecordCount: SmallInt ): WordBool;
function LceSetCommitmentOff (nSession: SmallInt): WordBool;
function LceSetCommitmentOn (nSession: SmallInt): WordBool;
function LceSetCommsCursor (nCursor: SmallInt): WordBool;
function LceSetCommsType (nType: SmallInt): WordBool;
function LceSetFieldValue (nSession: SmallInt; strField: String; strValue: String): WordBool;
function LceSetSelectOptions (nSession: SmallInt; strValue: String): WordBool;
function LceSetSessionOption (nSession: SmallInt; nOption: SmallInt; strValue: String): WordBool;
function LceSubmit (nSession: SmallInt; strProcess: String; strFunction: String; strProgram: String;
   strExchange: String; strJobName: String; strJobDesc: String; strJobQueue: String; strOutputQueue: String): WordBool;
function LceUpdate (nSession: SmallInt; strFields: String; strFile: String; strKey: String; bValidate: WordBool): WordBool;

function LceUseField (nSession: SmallInt; strFields: String): WordBool;
function LceUseFile (nSession: SmallInt; strFiles: String): WordBool;
function LceUseFunction (nSession: SmallInt; strValue: String): WordBool;
function LceUseLanguage (nSession: SmallInt; strValue: String): WordBool;
function LceUsePartition (nSession: SmallInt; strValue: String): WordBool;
function LceUsePassword (nSession: SmallInt; strValue: String): WordBool;
function LceUsePriority (nSession: SmallInt; nValue: SmallInt): WordBool;
function LceUseProcess (nSession: SmallInt; strValue: String): WordBool;
function LceUseSystem (nSession: SmallInt; strValue: String): WordBool;
function LceUseTmpDrive2 (nSession: SmallInt): WordBool;
function LceUseUserId (nSession: SmallInt; strValue: String): WordBool;
function LceVersion (bDisplay: WordBool; hWnd: Integer): LongInt;

implementation

uses
    SysUtils ;

const
     FIELDVALUE_SIZE = 256 + 1;

     FIELDHEADING_SIZE = 20 + 1 ;
     FIELDLABEL_SIZE = 15 + 1 ;
     FIELDDESC_SIZE = 40 + 1 ;
     FILEDESC_SIZE = 40 + 1 ;

     FIELDINDICATOR_SIZE = 1 + 1 ;
     FIELDTYPE_SIZE = 1 + 1 ;
     FILETYPE_SIZE = 1 + 1 ;

     FIELDHELP_SIZE = 132 + 1 ;
     EDITVALUE_SIZE = 24 + 1 ;
     EDITFLAG_SIZE = 1 + 1 ;

     PROCESS_SIZE = 10 + 1;
     FUNCTION_SIZE = 10 + 1;
     PROGRAM_SIZE = 10 + 1 ;
     EXCHANGE_SIZE = 2048 + 1 ;
     JOBNAME_SIZE = 10 + 1 ;
     JOBDESC_SIZE = 10 + 1 ;
     JOBQUEUE_SIZE = 10 + 1 ;
     OUTQUEUE_SIZE = 10 + 1 ;

     GENERIC_SIZE = 2048 + 1 ;


function _Lce3GLCall (nSession: SmallInt; strProgram: PChar; strLibrary: PChar; nParam: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'Lce3GLCall' ;

function _Lce3GLDefineParameter (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt;
   strDirection: PChar; strDataType: PChar; nLength: SmallInt; nDecimal: SmallInt; strValue: PChar ): WordBool; far;
external 'LCOEWIN.DLL' name 'Lce3GLDefineParameter' ;

function _Lce3GLGetValue (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt; strValue: PChar ): WordBool; far;
external 'LCOEWIN.DLL' name 'Lce3GLGetValue' ;

function _LceCheckFor (nSession: SmallInt; strFile: PChar; strKey: PChar ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceCheckFor' ;

function _LceCommitWork(nSession: SmallInt): SmallInt; far;
external 'LCOEWIN.DLL' name 'LceCommitWork' ;

function _LceDelete (nSession: SmallInt; strFile: PChar; strKey: PChar; bValidate: WordBool): WordBool; far;
external 'LCOEWIN.DLL' name 'LceDelete' ;

function _LceDeleteSelect (nSession: SmallInt; strFile: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceDeleteSelect' ;

function _LceDisplayErrors( bDisplay: WordBool; hWnd: Integer): WordBool; far;
external 'LCOEWIN.DLL' name 'LceDisplayErrors';

function _LceEndSession(nSession: SmallInt; bResume: WordBool): WordBool; far;
external 'LCOEWIN.DLL' name 'LceEndSession' ;

function _LceExecute400 (nSession: SmallInt; strCommand: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceExecute400' ;

function _LceFetch (nSession: SmallInt; strFields: PChar; strFile: PChar; strKey: PChar ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceFetch' ;

function _LceGetDefaultValue (nSession: SmallInt; strField: PChar; strValue: PChar ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetDefaultValue' ;

function _LceGetFieldDesc (nSession: SmallInt; strField: PChar; strValue: PChar ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFieldDesc' ;

function _LceGetFieldEdit (nSession: SmallInt; strField: PChar; strEdit: PChar; strFlag: PChar ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFieldEdit' ;

function _LceGetFieldHeading (nSession: SmallInt; strField: PChar; nHeading: SmallInt; strValue: PChar ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFieldHeading' ;

function _LceGetFieldHelpText (nSession: SmallInt; strField: PChar; strType: PChar; strEOL: PChar;
  strHelp: PChar; nLength: LongInt  ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFieldHelpText' ;

function _LceGetFieldIndicator (nSession: SmallInt; strField: PChar; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFieldIndicator' ;

function _LceGetFieldLabel (nSession: SmallInt; strField: PChar; strValue: pChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFieldLabel' ;

function _LceGetFieldType (nSession: SmallInt; strField: PChar; strDataType: PChar;
  var nLength: SmallInt; var nDecimal: SmallInt ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFieldType' ;

function _LceGetFieldValue (nSession: SmallInt; strField: PChar; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFieldValue' ;

function _LceGetFieldValueH (nSession: SmallInt; strField: PChar; hWnd: Integer): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFieldValueH' ;

function _LceGetFileDesc (nSession: SmallInt; strFile: PChar; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFileDesc' ;

function _LceGetFileType (nSession: SmallInt; strFile: PChar; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetFileType' ;

function _LceGetMessage (nSession: SmallInt; nMsgNo: SmallInt; strMessage: PChar; nLength: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetMessage' ;

function _LceGetMessageCount (nSession: SmallInt; var nCount: SmallInt ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetMessageCount' ;

function _LceGetRecordCount (nSession: SmallInt; strFile: PChar; var nCount: SmallInt ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetRecordCount' ;

function _LceGetSelect (nSession: SmallInt; strFile: PChar; nRecord: SmallInt; strFieldList: PChar ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetSelect' ;

function _LceGetSessionId: Integer; far;
external 'LCOEWIN.DLL' name 'LceGetSessionId' ;

procedure _LceGetStatus (var nCode: LongInt; strMessage: PChar; nLength: SmallInt ); far;
external 'LCOEWIN.DLL' name 'LceGetStatus' ;

function _LceGetVariable (nSession: SmallInt; strVariable: PChar; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceGetVariable' ;

function _LceInsert (nSession: SmallInt; strFields: PChar; strFile: PChar; bValidate: WordBool): WordBool; far;
external 'LCOEWIN.DLL' name 'LceInsert' ;

function _LceLansaCall (nSession: SmallInt; strProcess: PChar; strFunction: PChar;
  strProgram: PChar; strExchange: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceLansaCall' ;

function _LceOpenSession(nSession: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'LceOpenSession' ;

function _LceReceiveNext (nSession: SmallInt; strBuffer: PChar; nSize: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'LceReceiveNext' ;

function _LceReceiveSelect (nSession: SmallInt; strFile: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceReceiveSelect' ;

function _LceRequestSelect (nSession: SmallInt; strFields: PChar; strFile: PChar;
  strKey: PChar; nGeneric: WordBool): WordBool; far;
external 'LCOEWIN.DLL' name 'LceRequestSelect' ;

function _LceRequestSelectWhere (nSession: SmallInt; strFields: PChar; strFile: PChar;
  strKey: PChar; strConditions: PChar; nGeneric: WordBool): WordBool; far;
external 'LCOEWIN.DLL' name 'LceRequestSelectWhere' ;

function _LceRollBackWork (nSession: SmallInt): SmallInt; far;
external 'LCOEWIN.DLL' name 'LceRollBackWork' ;

function _LceSelect (nSession: SmallInt; strFields: PChar; strFile: PChar;
 strKey: PChar; nGeneric: WordBool; var nRecordCount: SmallInt ): WordBool; far;
external 'LCOEWIN.DLL' name 'LceSelect' ;

function _LceSetCommitmentOff (nSession: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'LceSetCommitmentOff' ;

function _LceSetCommitmentOn (nSession: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'LceSetCommitmentOn' ;

function _LceSetCommsCursor (nCursor: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'LceSetCommsCursor' ;

function _LceSetCommsType (nType: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'LceSetCommsType' ;

function _LceSetFieldValue (nSession: SmallInt; strField: PChar; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceSetFieldValue' ;

function _LceSetSelectOptions (nSession: SmallInt; strOptions: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceSetSelectOptions' ;

function _LceSetSessionOption (nSession: SmallInt; nOption: SmallInt; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceSetSessionOption' ;

function _LceSubmit (nSession: SmallInt; strProcess: PChar; strFunction: PChar;
  strProgram: PChar; strExchange: PChar; strJobName: PChar; strJobDesc: PChar;
  strJobQueue: PChar; strOutputQueue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceSubmit' ;

function _LceUpdate (nSession: SmallInt; strFields: PChar; strFile: PChar;
  strKey: PChar; bValidate: WordBool): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUpdate' ;

function _LceUseField (nSession: SmallInt; strFields: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUseField' ;

function _LceUseFile (nSession: SmallInt; strFiles: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUseFile' ;

function _LceUseFunction (nSession: SmallInt; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUseFunction' ;

function _LceUseLanguage (nSession: SmallInt; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUseLanguage' ;

function _LceUsePartition (nSession: SmallInt; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUsePartition' ;

function _LceUsePassword (nSession: SmallInt; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUsePassword' ;

function _LceUsePriority (nSession: SmallInt; nValue: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUsePriority' ;

function _LceUseProcess (nSession: SmallInt; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUseProcess' ;

function _LceUseSystem (nSession: SmallInt; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUseSystem' ;

function _LceUseTmpDrive2 (nSession: SmallInt): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUseTmpDrive2' ;

function _LceUseUserId (nSession: SmallInt; strValue: PChar): WordBool; far;
external 'LCOEWIN.DLL' name 'LceUseUserId' ;

function _LceVersion (bDisplay: WordBool; hWnd: Integer): LongInt; far;
external 'LCOEWIN.DLL' name 'LceVersion' ;



function Lce3GLCall (nSession: SmallInt; strProgram: String; strLibrary: String; nParam: SmallInt): WordBool;
var
   ptrProgram: PChar ;
   ptrLibrary: PChar ;
begin
     ptrProgram := StrAlloc ( GENERIC_SIZE );
     ptrLibrary := StrAlloc ( GENERIC_SIZE );

     StrPCopy ( ptrProgram, strProgram ) ;
     StrPCopy ( ptrLibrary, strLibrary ) ;

     Lce3GLCall := _Lce3GLCall ( nSession, ptrProgram, ptrLibrary, nParam ) ;

     StrDispose ( ptrProgram ) ;
     StrDispose ( ptrLibrary ) ;

end ;


function Lce3GLDefineParameter (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt;
                 strDirection: String; strDataType: String; nLength: SmallInt;
                 nDecimal: SmallInt; strValue: String ): WordBool ;
var
  ptrDirection: PChar ;
  ptrDataType: PChar ;
  ptrValue: PChar ;
begin
     ptrDirection := StrAlloc ( GENERIC_SIZE );
     ptrDataType := StrAlloc ( GENERIC_SIZE );
     ptrValue := StrAlloc ( GENERIC_SIZE );

     StrPCopy ( ptrDirection, strDirection ) ;
     StrPCopy ( ptrDataType, strDataType ) ;
     StrPCopy ( ptrValue, strValue ) ;

     Lce3GLDefineParameter := _Lce3GLDefineParameter(nSession, nParam, nSubParam, ptrDirection,
                  ptrDataType, nLength, nDecimal, ptrValue ) ;

     StrDispose ( ptrDirection ) ;
     StrDispose ( ptrDataType ) ;
     StrDispose ( ptrValue ) ;

end ;


function Lce3GLGetValue (nSession: SmallInt; nParam: SmallInt;
           nSubParam: SmallInt; var strValue: String; nLength: SmallInt ): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( nLength + 1 + 4 ) ;

    Lce3GLGetValue := _Lce3GLGetValue ( nSession, nParam, nSubParam, ptrValue ) ;
    strValue := StrPas ( ptrValue );

    StrDispose ( ptrValue ) ;

end ;


function LceCheckFor (nSession: SmallInt; strFile: String; strKey: String ): WordBool;
var
  ptrFile: PChar ;
  ptrKey: PChar ;
begin
     ptrFile := StrAlloc ( GENERIC_SIZE );
     ptrKey := StrAlloc ( GENERIC_SIZE );

     StrPCopy ( ptrFile, strFile ) ;
     StrPCopy ( ptrKey, strKey ) ;

     LceCheckFor := _LceCheckFor ( nSession, ptrFile, ptrKey ) ;

     StrDispose ( ptrFile ) ;
     StrDispose ( ptrKey ) ;

end ;


function LceCommitWork(nSession: SmallInt): SmallInt;
begin
     LceCommitWork := _LceCommitWork ( nSession ) ;
end ;


function LceDelete (nSession: SmallInt; strFile: String; strKey: String; bValidate: WordBool): WordBool;
var
   ptrFile: PChar ;
   ptrKey: PChar ;
begin
     ptrFile := StrAlloc ( GENERIC_SIZE );
     ptrKey := StrAlloc ( GENERIC_SIZE );

     StrPCopy ( ptrFile, strFile ) ;
     StrPCopy ( ptrKey, strKey ) ;

     LceDelete := _LceDelete ( nSession, ptrFile, ptrKey, bValidate ) ;

     StrDispose ( ptrFile ) ;
     StrDispose ( ptrKey ) ;

end ;


function LceDeleteSelect (nSession: SmallInt; strFile: String): WordBool;
var
  ptrFile: PChar ;
begin
     ptrFile := StrAlloc ( GENERIC_SIZE );
     StrPCopy ( ptrFile, strFile ) ;

     LceDeleteSelect := _LceDeleteSelect ( nSession, ptrFile ) ;

     StrDispose ( ptrFile ) ;

end ;


function LceDisplayErrors( bDisplay: WordBool; hWnd: Integer): WordBool;
begin
    LceDisplayErrors := _LceDisplayErrors ( bDisplay, hWnd ) ;
end ;


function LceEndSession(nSession: SmallInt; bResume: WordBool): WordBool;
begin
    LceEndSession := _LceEndSession ( nSession, bResume ) ;
end ;


function LceExecute400 (nSession: SmallInt; strCommand: String): WordBool;
var
  ptrCommand: PChar ;
begin
     ptrCommand := StrAlloc ( GENERIC_SIZE );
     StrPCopy ( ptrCommand, strCommand ) ;

    LceExecute400 := _LceExecute400 ( nSession, ptrCommand ) ;

    StrDispose ( ptrCommand ) ;

end ;


function LceFetch (nSession: SmallInt; strFields: String; strFile: String; strKey: String ): WordBool;
var
  ptrFields: PChar ;
  ptrFile: PChar ;
  ptrKey: PChar ;
begin
    ptrFields:= StrAlloc ( GENERIC_SIZE );
    StrPCopy ( ptrFields, strFields ) ;

    ptrFile:= StrAlloc ( GENERIC_SIZE );
    StrPCopy ( ptrFile, strFile ) ;

    ptrKey:= StrAlloc ( GENERIC_SIZE );
    StrPCopy ( ptrKey, strKey ) ;

    LceFetch := _LceFetch ( nSession, ptrFields, ptrFile, ptrKey ) ;

    StrDispose ( ptrFields ) ;
    StrDispose ( ptrFile ) ;
    StrDispose ( ptrKey ) ;

end ;


function LceGetDefaultValue (nSession: SmallInt; strField: String; var strValue: String ): WordBool;
var
   ptrField: PChar ;
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDVALUE_SIZE ) ;
     ptrField := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;

    LceGetDefaultValue := _LceGetDefaultValue( nSession, ptrField, ptrValue ) ;
    strValue := StrPas ( ptrValue ) ;

    StrDispose ( ptrField ) ;
    StrDispose ( ptrValue ) ;

end ;


function LceGetFieldDesc (nSession: SmallInt; strField: String; var strValue: String ): WordBool;
var
   ptrField: PChar ;
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDDESC_SIZE ) ;
     ptrField := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;

     LceGetFieldDesc := _LceGetFieldDesc( nSession, ptrField, ptrValue ) ;
     strValue := StrPas ( ptrValue ) ;

     StrDispose ( ptrField ) ;
     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldEdit (nSession: SmallInt; strField: String; var strEdit: String; var strFlag: String ): WordBool;
var
   ptrField: PChar ;
   ptrEdit: PChar ;
   ptrFlag: PChar ;
begin
     ptrEdit := StrAlloc ( EDITVALUE_SIZE ) ;
     ptrFlag := StrAlloc ( EDITFLAG_SIZE ) ;
     ptrField := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;

     LceGetFieldEdit := _LceGetFieldEdit ( nSession, ptrField, ptrEdit, ptrFlag ) ;
     strEdit := StrPas ( ptrEdit ) ;
     strFlag := StrPas ( ptrFlag ) ;

     StrDispose ( ptrField ) ;
     StrDispose ( ptrEdit ) ;
     StrDispose ( ptrFlag ) ;

end ;


function LceGetFieldHeading (nSession: SmallInt; strField: String; nHeading: SmallInt; var strValue: String ): WordBool;
var
   ptrField: PChar ;
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDHEADING_SIZE ) ;
     ptrField := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;

     LceGetFieldHeading := _LceGetFieldHeading ( nSession, ptrField, nHeading, ptrValue ) ;
     strValue := StrPas ( ptrValue ) ;

     StrDispose ( ptrField ) ;
     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldHelpText (nSession: SmallInt; strField: String;
         strType: String; strEOL: String; var strHelp: String; nLength: LongInt  ): WordBool;
var
   ptrField: PChar ;
   ptrType: PChar ;
   ptrEOL: PChar ;
   ptrHelp: PChar ;
begin
     ptrHelp := StrAlloc ( FIELDHELP_SIZE ) ;
     ptrField := StrAlloc ( GENERIC_SIZE ) ;
     ptrType := StrAlloc ( GENERIC_SIZE ) ;
     ptrEOL := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;
     StrPCopy ( ptrType, strType ) ;
     StrPCopy ( ptrEOL, strEOL ) ;

     LceGetFieldHelpText := _LceGetFieldHelpText (nSession, ptrField, ptrType, ptrEOL, ptrHelp, nLength ) ;
     strHelp := StrPas ( ptrHelp ) ;

     StrDispose ( ptrField ) ;
     StrDispose ( ptrHelp ) ;
     StrDispose ( ptrType ) ;
     StrDispose ( ptrEOL ) ;

end ;


function LceGetFieldIndicator (nSession: SmallInt; strField: String; var strValue: String): WordBool;
var
   ptrField: PChar ;
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDINDICATOR_SIZE ) ;
     ptrField := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;

     LceGetFieldIndicator := _LceGetFieldIndicator (nSession, ptrField, ptrValue ) ;
     strValue := StrPas ( ptrValue ) ;

     StrDispose ( ptrField ) ;
     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldLabel (nSession: SmallInt; strField: String; var strValue: String): WordBool;
var
   ptrField: PChar ;
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDLABEL_SIZE ) ;
     ptrField := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;

     LceGetFieldLabel := _LceGetFieldLabel (nSession, ptrField, ptrValue ) ;
     strValue := StrPas ( ptrValue ) ;

     StrDispose ( ptrField ) ;
     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldType (nSession: SmallInt; strField: String; var strDataType: String;
         var nLength: SmallInt; var nDecimal: SmallInt ): WordBool;
var
   ptrField: PChar ;
   ptrDataType: PChar ;
begin
     ptrDataType := StrAlloc ( FIELDTYPE_SIZE + 1 ) ;
     ptrField := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;

     LceGetFieldType := _LceGetFieldType (nSession, ptrField, ptrDataType, nLength, nDecimal ) ;
     strDataType := StrPas ( ptrDataType ) ;

     StrDispose ( ptrField ) ;
     StrDispose ( ptrDataType ) ;

end ;


function LceGetFieldValue (nSession: SmallInt; strField: String; var strValue: String): WordBool;
var
   ptrField: PChar ;
   ptrValue: PChar ;
begin

     ptrField := StrAlloc ( GENERIC_SIZE ) ;
     ptrValue := StrAlloc ( FIELDVALUE_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;

     LceGetFieldValue := _LceGetFieldValue (nSession, ptrField, ptrValue ) ;
     strValue := StrPas ( ptrValue ) ;

     StrDispose ( ptrField ) ;
     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldValueH (nSession: SmallInt; strField: String; hWnd: Integer): WordBool;
var
  ptrField: PChar ;
begin
     ptrField := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;

     LceGetFieldValueH := _LceGetFieldValueH (nSession, ptrField, hWnd );

     StrDispose ( ptrField ) ;

end ;


function LceGetFileDesc (nSession: SmallInt; strFile: String; var strValue: String): WordBool;
var
   ptrFile: PChar ;
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FILEDESC_SIZE ) ;
     ptrFile := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrFile, strFile ) ;

     LceGetFileDesc := _LceGetFileDesc (nSession, ptrFile, ptrValue ) ;
     strValue := StrPas ( ptrValue ) ;

     StrDispose ( ptrFile ) ;
     StrDispose ( ptrValue ) ;

end ;


function LceGetFileType (nSession: SmallInt; strFile: String; var strValue: String): WordBool;
var
   ptrFile: PChar ;
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FILETYPE_SIZE ) ;
     ptrFile := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrFile, strFile ) ;

     LceGetFileType := _LceGetFileType (nSession, ptrFile, ptrValue ) ;
     strValue := StrPas ( ptrValue ) ;

     StrDispose ( ptrFile ) ;
     StrDispose ( ptrValue ) ;

end ;


function LceGetMessage (nSession: SmallInt; nMsgNo: SmallInt; var strMessage: String; nLength: SmallInt): WordBool;
var
   ptrMessage: PChar ;
begin
     ptrMessage := StrAlloc ( nLength + 1 ) ;

     LceGetMessage := _LceGetMessage ( nSession, nMsgNo, ptrMessage, nLength ) ;
     strMessage := StrPas ( ptrMessage ) ;

     StrDispose ( ptrMessage ) ;

end ;


function LceGetMessageCount (nSession: SmallInt; var nCount: SmallInt ): WordBool;
begin
     LceGetMessageCount := _LceGetMessageCount (nSession, nCount ) ;
end ;


function LceGetRecordCount (nSession: SmallInt; strFile: String; var nCount: SmallInt ): WordBool;
var
  ptrFile: PChar ;
begin
     ptrFile := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrFile, strFile ) ;

     LceGetRecordCount := _LceGetRecordCount ( nSession, ptrFile, nCount ) ;

     StrDispose ( ptrFile ) ;

end ;


function LceGetSelect (nSession: SmallInt; strFile: String; nRecord: SmallInt; strFieldList: String ): WordBool;
var
  ptrFile: PChar ;
  ptrFieldList: PChar ;
begin
     ptrFile := StrAlloc ( GENERIC_SIZE ) ;
     ptrFieldList := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrFile, strFile ) ;
     StrPCopy ( ptrFieldList, strFieldList ) ;

     LceGetSelect := _LceGetSelect (nSession, ptrFile, nRecord, ptrFieldList ) ;

     StrDispose ( ptrFile ) ;
     StrDispose ( ptrFieldList ) ;

end ;


function LceGetSessionId: Integer;
begin
     LceGetSessionId := _LceGetSessionId ;
end ;


procedure LceGetStatus (var nCode: LongInt; var strMessage: String; nLength: SmallInt ) ;
var
   ptrMessage: PChar ;
begin
     ptrMessage := StrAlloc ( nLength + 1 ) ;

     _LceGetStatus (nCode, ptrMessage, nLength ) ;
     strMessage := StrPas ( ptrMessage ) ;

     StrDispose ( ptrMessage ) ;

end ;


function LceGetVariable (nSession: SmallInt; strVariable: String; var strValue: String): WordBool;
var
   ptrVariable: PChar ;
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDVALUE_SIZE ) ;
     ptrVariable := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrVariable, strVariable ) ;

     LceGetVariable := _LceGetVariable (nSession, ptrVariable, ptrValue ) ;
     strValue := StrPas ( ptrValue ) ;

     StrDispose ( ptrVariable ) ;
     StrDispose ( ptrValue ) ;

end ;


function LceInsert (nSession: SmallInt; strFields: String; strFile: String; bValidate: WordBool): WordBool;
var
  ptrFields: PChar ;
  ptrFile: PChar ;
begin
     ptrFields := StrAlloc ( GENERIC_SIZE ) ;
     ptrFile := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrFields, strFields ) ;
     StrPCopy ( ptrFile, strFile ) ;

     LceInsert := _LceInsert (nSession, ptrFields, ptrFile, bValidate ) ;

     StrDispose ( ptrFields ) ;
     StrDispose ( ptrFile ) ;

end ;


function LceLansaCall (nSession: SmallInt; strProcess: String; strFunction: String;
           strProgram: String; strExchange: String): WordBool;
var
 ptrProcess: PChar ;
 ptrFunction: PChar ;
 ptrProgram: PChar ;
 ptrExchange: PChar ;

begin
     ptrProcess := StrAlloc ( PROCESS_SIZE ) ;
     ptrFunction := StrAlloc ( FUNCTION_SIZE ) ;
     ptrProgram := StrAlloc ( PROGRAM_SIZE ) ;
     ptrExchange := StrAlloc ( EXCHANGE_SIZE ) ;

     StrPCopy ( ptrProcess, strProcess ) ;
     StrPCopy ( ptrFunction, strFunction ) ;
     StrPCopy ( ptrProgram, strProgram ) ;
     StrPCopy ( ptrExchange, strExchange ) ;

     LceLansaCall := _LceLansaCall (nSession, ptrProcess, ptrFunction, ptrProgram, ptrExchange ) ;

     StrDispose ( ptrProcess ) ;
     StrDispose ( ptrFunction ) ;
     StrDispose ( ptrProgram ) ;
     StrDispose ( ptrExchange ) ;

end ;


function LceOpenSession(nSession: SmallInt): WordBool;
begin
     LceOpenSession := _LceOpenSession ( nSession ) ;
end ;


function LceReceiveNext (nSession: SmallInt; var strBuffer: String; nSize: SmallInt): WordBool;
var
  ptrBuffer: PChar ;
begin
     ptrBuffer := StrAlloc ( nSize + 1 ) ;

     LceReceiveNext := _LceReceiveNext (nSession, ptrBuffer, nSize ) ;
     strBuffer := StrPas ( ptrBuffer ) ;
     StrDispose ( ptrBuffer ) ;

end ;


function LceReceiveSelect (nSession: SmallInt; strFile: String): WordBool;
var
  ptrFile: PChar ;
begin
     ptrFile := StrAlloc ( GENERIC_SIZE );
     StrPCopy ( ptrFile, strFile ) ;

     LceReceiveSelect := _LceReceiveSelect ( nSession, ptrFile ) ;

     StrDispose ( ptrFile ) ;

end ;


function LceRequestSelect (nSession: SmallInt; strFields: String; strFile: String;
                   strKey: String; nGeneric: WordBool): WordBool;
var
  ptrFile: PChar ;
  ptrFields: PChar ;
  ptrKey: PChar ;
begin
     ptrFile := StrAlloc ( GENERIC_SIZE ) ;
     ptrFields := StrAlloc ( GENERIC_SIZE ) ;
     ptrKey := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrFile, strFile ) ;
     StrPCopy ( ptrFields, strFields ) ;
     StrPCopy ( ptrKey, strKey ) ;

     LceRequestSelect := _LceRequestSelect (nSession, ptrFields, ptrFile, ptrKey, nGeneric ) ;

     StrDispose ( ptrFile ) ;
     StrDispose ( ptrFields ) ;
     StrDispose ( ptrKey ) ;

end ;


function LceRequestSelectWhere (nSession: SmallInt; strFields: String; strFile: String;
                 strKey: String; strConditions: String; nGeneric: WordBool): WordBool;
var
  ptrFile: PChar ;
  ptrFields: PChar ;
  ptrKey: PChar ;
  ptrConditions: PChar ;
begin
     ptrFile := StrAlloc ( GENERIC_SIZE ) ;
     ptrFields := StrAlloc ( GENERIC_SIZE ) ;
     ptrKey := StrAlloc ( GENERIC_SIZE ) ;
     ptrConditions := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrFile, strFile ) ;
     StrPCopy ( ptrFields, strFields ) ;
     StrPCopy ( ptrKey, strKey ) ;
     StrPCopy ( ptrConditions, strConditions ) ;

     LceRequestSelectWhere := _LceRequestSelectWhere(nSession, ptrFields, ptrFile, ptrKey, ptrConditions, nGeneric ) ;

     StrDispose ( ptrFile ) ;
     StrDispose ( ptrFields ) ;
     StrDispose ( ptrKey ) ;
     StrDispose ( ptrConditions ) ;

end ;


function LceRollBackWork (nSession: SmallInt): SmallInt;
begin
     LceRollBackWork := _LceRollbackWork ( nSession ) ;
end ;


function LceSelect (nSession: SmallInt; strFields: String; strFile: String;
                strKey: String; nGeneric: WordBool; var nRecordCount: SmallInt ): WordBool;
var
  ptrFile: PChar ;
  ptrFields: PChar ;
  ptrKey: PChar ;

begin
     ptrFile := StrAlloc ( GENERIC_SIZE ) ;
     ptrFields := StrAlloc ( GENERIC_SIZE ) ;
     ptrKey := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrFile, strFile ) ;
     StrPCopy ( ptrFields, strFields ) ;
     StrPCopy ( ptrKey, strKey ) ;

     LceSelect := _LceSelect (nSession, ptrFields, ptrFile, ptrKey, nGeneric, nRecordCount ) ;

     StrDispose ( ptrFile ) ;
     StrDispose ( ptrFields ) ;
     StrDispose ( ptrKey ) ;

end ;


function LceSetCommitmentOff (nSession: SmallInt): WordBool;
begin
     LceSetCommitmentOff := _LceSetCommitmentOff ( nSession ) ;
end ;


function LceSetCommitmentOn (nSession: SmallInt): WordBool;
begin
     LceSetCommitmentOn := _LceSetCommitmentOn ( nSession ) ;
end ;


function LceSetCommsCursor (nCursor: SmallInt): WordBool;
begin
     LceSetCommsCursor := _LceSetCommsCursor ( nCursor ) ;
end ;


function LceSetCommsType (nType: SmallInt): WordBool;
begin
     LceSetCommsType := _LceSetCommsType ( nType ) ;
end ;


function LceSetFieldValue (nSession: SmallInt; strField: String; strValue: String): WordBool;
var
  ptrField: PChar ;
  ptrValue: PChar ;
begin
     ptrField := StrAlloc ( GENERIC_SIZE ) ;
     ptrValue := StrAlloc ( FIELDVALUE_SIZE ) ;

     StrPCopy ( ptrField, strField ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceSetFieldValue := _LceSetFieldValue (nSession, ptrField, ptrValue ) ;

     StrDispose ( ptrField ) ;
     StrDispose ( ptrValue ) ;

end ;


function LceSetSelectOptions (nSession: SmallInt; strValue: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceSetSelectOptions := _LceSetSelectOptions ( nSession, ptrValue ) ;

     StrDispose ( ptrValue ) ;
end ;


function LceSetSessionOption (nSession: SmallInt; nOption: SmallInt; strValue: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceSetSessionOption := _LceSetSessionOption (nSession, nOption, ptrValue ) ;

     StrDispose ( ptrValue ) ;
end ;


function LceSubmit (nSession: SmallInt; strProcess: String; strFunction: String;
          strProgram: String; strExchange: String; strJobName: String;
          strJobDesc: String; strJobQueue: String; strOutputQueue: String): WordBool;
var
 ptrProcess: PChar ;
 ptrFunction: PChar ;
 ptrProgram: PChar ;
 ptrExchange: PChar ;
 ptrJobName: PChar ;
 ptrJobDesc: PChar ;
 ptrJobQueue: PChar ;
 ptrOutputQueue: PChar ;

begin
     ptrProcess := StrAlloc ( PROCESS_SIZE ) ;
     ptrFunction := StrAlloc ( FUNCTION_SIZE ) ;
     ptrProgram := StrAlloc ( PROGRAM_SIZE ) ;
     ptrExchange := StrAlloc ( EXCHANGE_SIZE ) ;
     ptrJobName := StrAlloc ( JOBNAME_SIZE ) ;
     ptrJobDesc := StrAlloc ( JOBDESC_SIZE ) ;
     ptrJobQueue := StrAlloc ( JOBQUEUE_SIZE ) ;
     ptrOutputQueue := StrAlloc ( OUTQUEUE_SIZE ) ;

     StrPCopy ( ptrProcess, strProcess ) ;
     StrPCopy ( ptrFunction, strFunction ) ;
     StrPCopy ( ptrProgram, strProgram ) ;
     StrPCopy ( ptrExchange, strExchange ) ;
     StrPCopy ( ptrJobName, strJobName ) ;
     StrPCopy ( ptrJobDesc, strJobDesc ) ;
     StrPCopy ( ptrJobQueue, strJobQueue ) ;
     StrPCopy ( ptrOutputQueue, strOutputQueue ) ;

     LceSubmit := _LceSubmit ( nSession, ptrProcess, ptrFunction, ptrProgram,
                     ptrExchange, ptrJobName, ptrJobDesc, ptrJobQueue, ptrOutputQueue);

     StrDispose ( ptrProcess ) ;
     StrDispose ( ptrFunction ) ;
     StrDispose ( ptrProgram ) ;
     StrDispose ( ptrExchange ) ;
     StrDispose ( ptrJobName ) ;
     StrDispose ( ptrJobDesc ) ;
     StrDispose ( ptrJobQueue ) ;
     StrDispose ( ptrOutputQueue ) ;

end ;


function LceUpdate (nSession: SmallInt; strFields: String; strFile: String; strKey: String; bValidate: WordBool): WordBool;
var ptrFields: PChar ;
var ptrFile: PChar ;
var ptrKey: PChar ;
begin
     ptrFields := StrAlloc ( GENERIC_SIZE ) ;
     ptrFile := StrAlloc ( GENERIC_SIZE ) ;
     ptrKey := StrAlloc ( GENERIC_SIZE ) ;

     StrPCopy ( ptrFields, strFields ) ;
     StrPCopy ( ptrFile, strFile ) ;
     StrPCopy ( ptrKey, strKey ) ;

     LceUpdate := _LceUpdate (nSession, ptrFields, ptrFile, ptrKey, bValidate);

     StrDispose ( ptrFields ) ;
     StrDispose ( ptrFile ) ;
     StrDispose ( ptrKey ) ;

end ;




function LceUseField (nSession: SmallInt; strFields: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strFields ) ;

     LceUseField := _LceUseField ( nSession, ptrValue ) ;

     StrDispose ( ptrValue ) ;

end ;


function LceUseFile (nSession: SmallInt; strFiles: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strFiles ) ;

     LceUseFile := _LceUseFile ( nSession, ptrValue );

     StrDispose ( ptrValue ) ;
end ;


function LceUseFunction (nSession: SmallInt; strValue: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceUseFunction := _LceUseFunction ( nSession, ptrValue ) ;

     StrDispose ( ptrValue ) ;
end ;


function LceUseLanguage (nSession: SmallInt; strValue: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceUseLanguage := _LceUseLanguage ( nSession, ptrValue ) ;

     StrDispose ( ptrValue ) ;
end ;


function LceUsePartition (nSession: SmallInt; strValue: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceUsePartition := _LceUsePartition ( nSession, ptrValue ) ;

     StrDispose ( ptrValue ) ;

end ;


function LceUsePassword (nSession: SmallInt; strValue: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceUsePassword := _LceUsePassword ( nSession, ptrValue ) ;

     StrDispose ( ptrValue ) ;
end ;


function LceUsePriority (nSession: SmallInt; nValue: SmallInt): WordBool;
begin
     LceUsePriority := _LceUsePriority ( nSession, nValue ) ;
end ;


function LceUseProcess (nSession: SmallInt; strValue: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceUseProcess := _LceUseProcess ( nSession, ptrValue ) ;

     StrDispose ( ptrValue ) ;
end ;


function LceUseSystem (nSession: SmallInt; strValue: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceUseSystem := _LceUseSystem ( nSession, ptrValue ) ;

     StrDispose ( ptrValue ) ;
end ;


function LceUseTmpDrive2 (nSession: SmallInt): WordBool;
begin
     LceUseTmpDrive2 := _LceUseTmpDrive2 ( nSession ) ;
end ;


function LceUseUserId (nSession: SmallInt; strValue: String): WordBool;
var
  ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( GENERIC_SIZE ) ;
     StrPCopy ( ptrValue, strValue ) ;

     LceUseUserId := _LceUseUserId ( nSession, ptrValue ) ;

     StrDispose ( ptrValue ) ;
end ;


function LceVersion (bDisplay: WordBool; hWnd: Integer): LongInt;
begin
     LceVersion := _LceVersion ( bDisplay, hWnd ) ;
end ;

end.


