unit lcoew32;

interface

function Lce3GLCall (nSession: SmallInt; strProgram: String; strLibrary: String; nParam: SmallInt): WordBool;
function Lce3GLDefineParameter (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt; strDirection: String; strDataType: String; nLength: SmallInt; nDecimal: SmallInt; strValue: String ): WordBool ;
function Lce3GLGetValue (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt; var strValue: String; nLength: Smallint ): WordBool;
function LceCheckFor (nSession: SmallInt; strFile: String; strKey: String ): WordBool;
function LceCommitWork(nSession: SmallInt): SmallInt;
function LceDelete (nSession: SmallInt; strFile: String; strKey: String; bValidate: WordBool): WordBool;
function LceDeleteSelect (nSession: SmallInt; strFile: String): WordBool;
function LceDisplayErrors( bDisplay: WordBool; hWnd: Integer): WordBool;
function LceEndSession(nSession: SmallInt; bResume: WordBool): WordBool;
function LceExecute400 (nSession: SmallInt; strCommand: String): WordBool;
function LceFetch (nSession: SmallInt; strFields: String; strFile: String; strKey: String ): WordBool;
function LceGetDefaultValue (nSession: SmallInt; strField: String; var strValue: String ): WordBool;
function LceGetFieldDesc (nSession: SmallInt; strField: String; var strValue: String ): WordBool;
function LceGetFieldEdit (nSession: SmallInt; strField: String; var strEdit: String; var strFlag: String ): WordBool;
function LceGetFieldHeading (nSession: SmallInt; strField: String; nHeading: SmallInt; var strValue: String ): WordBool;
function LceGetFieldHelpText (nSession: SmallInt; strField: String; strType: String; strEOL: String; var strHelp: String; nLength: LongInt  ): WordBool;
function LceGetFieldIndicator (nSession: SmallInt; strField: String; var strValue: String): WordBool;
function LceGetFieldLabel (nSession: SmallInt; strField: String; var strValue: String): WordBool;
function LceGetFieldType (nSession: SmallInt; strField: String; var strDataType: String; var nLength: SmallInt; var nDecimal: SmallInt ): WordBool;
function LceGetFieldValue (nSession: SmallInt; strField: String; var strValue: String): WordBool;
function LceGetFieldValueH (nSession: SmallInt; strField: String; hWnd: Integer): WordBool;
function LceGetFileDesc (nSession: SmallInt; strFile: String; var strValue: String): WordBool;
function LceGetFileType (nSession: SmallInt; strFile: String; var strValue: String): WordBool;
function LceGetMessage (nSession: SmallInt; nMsgNo: SmallInt; var strMessage: String; nLength: SmallInt): WordBool;
function LceGetMessageCount (nSession: SmallInt; var nCount: SmallInt ): WordBool;
function LceGetRecordCount (nSession: SmallInt; strFile: String; var nCount: SmallInt ): WordBool;
function LceGetSelect (nSession: SmallInt; strFile: String; nRecord: SmallInt; strFieldList: String ): WordBool;
function LceGetSessionId: Integer;
procedure LceGetStatus ( var nCode: LongInt; var strMessage: String; nLength: SmallInt ) ;
function LceGetVariable (nSession: SmallInt; strVariable: String; var strValue: String): WordBool;
function LceInsert (nSession: SmallInt; strFields: String; strFile: String; bValidate: WordBool): WordBool;
function LceLansaCall (nSession: SmallInt; strProcess: String; strFunction: String; strProgram: String; strExchange: String): WordBool;
function LceOpenSession(nSession: SmallInt): WordBool;
function LceReceiveNext (nSession: SmallInt; var strBuffer: String; nSize: SmallInt): WordBool;
function LceReceiveSelect (nSession: SmallInt; strFile: String): WordBool;
function LceRequestSelect (nSession: SmallInt; strFields: String; strFile: String; strKey: String; nGeneric: WordBool): WordBool;
function LceRequestSelectWhere (nSession: SmallInt; strFields: String; strFile: String; strKey: String; strConditions: String; nGeneric: WordBool): WordBool;
function LceRollBackWork (nSession: SmallInt): SmallInt;
function LceSelect (nSession: SmallInt; strFields: String; strFile: String; strKey: String; nGeneric: WordBool; var nRecordCount: SmallInt ): WordBool;
function LceSetCommitmentOff (nSession: SmallInt): WordBool;
function LceSetCommitmentOn (nSession: SmallInt): WordBool;
function LceSetCommsCursor (nCursor: SmallInt): WordBool;
function LceSetCommsType (nType: SmallInt): WordBool;
function LceSetFieldValue (nSession: SmallInt; strField: String; strValue: String): WordBool;
function LceSetSelectOptions (nSession: SmallInt; strOptions: String): WordBool;
function LceSetSessionOption (nSession: SmallInt; nOption: SmallInt; strValue: String): WordBool;
function LceSubmit (nSession: SmallInt; strProcess: String; strFunction: String; strProgram: String; strExchange: String; strJobName: String; strJobDesc: String; strJobQueue: String; strOutputQueue: String): WordBool;
function LceUpdate (nSession: SmallInt; strFields: String; strFile: String; strKey: String; bValidate: WordBool): WordBool;
function LceUseField (nSession: SmallInt; strFields: String): WordBool;
function LceUseFile (nSession: SmallInt; strFiles: String): WordBool;
function LceUseFunction (nSession: SmallInt; strValue: String): WordBool;
function LceUseLanguage (nSession: SmallInt; strValue: String): WordBool;
function LceUsePartition (nSession: SmallInt; strValue: String): WordBool;
function LceUsePassword (nSession: SmallInt; strValue: String): WordBool;
function LceUsePriority (nSession: SmallInt; nValue: SmallInt): WordBool;
function LceUseProcess (nSession: SmallInt; strValue: String): WordBool;
function LceUseSystem (nSession: SmallInt; strValue: String): WordBool;
function LceUseTmpDrive2 (nSession: SmallInt): WordBool;
function LceUseUserId (nSession: SmallInt; strValue: String): WordBool;
function LceVersion (bDisplay: WordBool; hWnd: Integer): LongInt;

implementation

uses
    SysUtils ;

const
     FIELDVALUE_SIZE = 256 + 1;

     FIELDHEADING_SIZE = 20 + 1 ;
     FIELDLABEL_SIZE = 15 + 1 ;
     FIELDDESC_SIZE = 40 + 1 ;
     FILEDESC_SIZE = 40 + 1 ;

     FIELDINDICATOR_SIZE = 1 + 1 ;
     FIELDTYPE_SIZE = 1 + 1 ;
     FILETYPE_SIZE = 1 + 1 ;

     FIELDHELP_SIZE = 132 + 1 ;
     EDITVALUE_SIZE = 24 + 1 ;
     EDITFLAG_SIZE = 1 + 1 ;

     PROCESS_SIZE = 10 + 1;
     FUNCTION_SIZE = 10 + 1;
     PROGRAM_SIZE = 10 + 1 ;
     EXCHANGE_SIZE = 2048 + 1 ;
     JOBNAME_SIZE = 10 + 1 ;
     JOBDESC_SIZE = 10 + 1 ;
     JOBQUEUE_SIZE = 10 + 1 ;
     OUTQUEUE_SIZE = 10 + 1 ;


function _Lce3GLCall (nSession: SmallInt; strProgram: String; strLibrary: String; nParam: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'Lce3GLCall' ;
function _Lce3GLDefineParameter (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt; strDirection: String; strDataType: String; nLength: SmallInt; nDecimal: SmallInt; strValue: String ): WordBool; stdcall; external 'LCOEW32.DLL' name 'Lce3GLDefineParameter' ;
function _Lce3GLGetValue (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt; strValue: PChar ): WordBool; stdcall; external 'LCOEW32.DLL' name 'Lce3GLGetValue' ;
function _LceCheckFor (nSession: SmallInt; strFile: String; strKey: String ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceCheckFor' ;
function _LceCommitWork(nSession: SmallInt): SmallInt; stdcall; external 'LCOEW32.DLL' name 'LceCommitWork' ;
function _LceDelete (nSession: SmallInt; strFile: String; strKey: String; bValidate: WordBool): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceDelete' ;
function _LceDeleteSelect (nSession: SmallInt; strFile: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceDeleteSelect' ;
function _LceDisplayErrors( bDisplay: WordBool; hWnd: Integer): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceDisplayErrors';
function _LceEndSession(nSession: SmallInt; bResume: WordBool): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceEndSession' ;
function _LceExecute400 (nSession: SmallInt; strCommand: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceExecute400' ;
function _LceFetch (nSession: SmallInt; strFields: String; strFile: String; strKey: String ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceFetch' ;
function _LceGetDefaultValue (nSession: SmallInt; strField: String; strValue: PChar ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetDefaultValue' ;
function _LceGetFieldDesc (nSession: SmallInt; strField: String; strValue: PChar ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFieldDesc' ;
function _LceGetFieldEdit (nSession: SmallInt; strField: String; strEdit: PChar; strFlag: PChar ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFieldEdit' ;
function _LceGetFieldHeading (nSession: SmallInt; strField: String; nHeading: SmallInt; strValue: PChar ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFieldHeading' ;
function _LceGetFieldHelpText (nSession: SmallInt; strField: String; strType: String; strEOL: String; strHelp: PChar; nLength: LongInt  ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFieldHelpText' ;
function _LceGetFieldIndicator (nSession: SmallInt; strField: String; strValue: PChar): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFieldIndicator' ;
function _LceGetFieldLabel (nSession: SmallInt; strField: String; strValue: pChar): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFieldLabel' ;
function _LceGetFieldType (nSession: SmallInt; strField: String; strDataType: PChar; var nLength: SmallInt; var nDecimal: SmallInt ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFieldType' ;
function _LceGetFieldValue (nSession: SmallInt; strField: String; strValue: PChar): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFieldValue' ;
function _LceGetFieldValueH (nSession: SmallInt; strField: String; hWnd: Integer): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFieldValueH' ;
function _LceGetFileDesc (nSession: SmallInt; strFile: String; strValue: PChar): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFileDesc' ;
function _LceGetFileType (nSession: SmallInt; strFile: String; strValue: PChar): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetFileType' ;
function _LceGetMessage (nSession: SmallInt; nMsgNo: SmallInt; strMessage: PChar; nLength: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetMessage' ;
function _LceGetMessageCount (nSession: SmallInt; var nCount: SmallInt ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetMessageCount' ;
function _LceGetRecordCount (nSession: SmallInt; strFile: String; var nCount: SmallInt ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetRecordCount' ;
function _LceGetSelect (nSession: SmallInt; strFile: String; nRecord: SmallInt; strFieldList: String ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetSelect' ;
function _LceGetSessionId: Integer; stdcall; external 'LCOEW32.DLL' name 'LceGetSessionId' ;
procedure _LceGetStatus (var nCode: LongInt; strMessage: PChar; nLength: SmallInt ); stdcall; external 'LCOEW32.DLL' name 'LceGetStatus' ;
function _LceGetVariable (nSession: SmallInt; strVariable: String; strValue: PChar): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceGetVariable' ;
function _LceInsert (nSession: SmallInt; strFields: String; strFile: String; bValidate: WordBool): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceInsert' ;
function _LceLansaCall (nSession: SmallInt; strProcess: PChar; strFunction: PChar; strProgram: PChar; strExchange: PChar): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceLansaCall' ;
function _LceOpenSession(nSession: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceOpenSession' ;
function _LceReceiveNext (nSession: SmallInt; strBuffer: PChar; nSize: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceReceiveNext' ;
function _LceReceiveSelect (nSession: SmallInt; strFile: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceReceiveSelect' ;
function _LceRequestSelect (nSession: SmallInt; strFields: String; strFile: String; strKey: String; nGeneric: WordBool): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceRequestSelect' ;
function _LceRequestSelectWhere (nSession: SmallInt; strFields: String; strFile: String; strKey: String; strConditions: String; nGeneric: WordBool): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceRequestSelectWhere' ;
function _LceRollBackWork (nSession: SmallInt): SmallInt; stdcall; external 'LCOEW32.DLL' name 'LceRollBackWork' ;
function _LceSelect (nSession: SmallInt; strFields: String; strFile: String; strKey: String; nGeneric: WordBool; var nRecordCount: SmallInt ): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceSelect' ;
function _LceSetCommitmentOff (nSession: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceSetCommitmentOff' ;
function _LceSetCommitmentOn (nSession: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceSetCommitmentOn' ;
function _LceSetCommsCursor (nCursor: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceSetCommsCursor' ;
function _LceSetCommsType (nType: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceSetCommsType' ;
function _LceSetFieldValue (nSession: SmallInt; strField: String; strValue: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceSetFieldValue' ;
function _LceSetSelectOptions (nSession: SmallInt; strOptions: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceSetSelectOptions' ;
function _LceSetSessionOption (nSession: SmallInt; nOption: SmallInt; strValue: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceSetSessionOption' ;
function _LceSubmit (nSession: SmallInt; strProcess: PChar; strFunction: PChar; strProgram: PChar; strExchange: PChar; strJobName: PChar; strJobDesc: PChar; strJobQueue: PChar; strOutputQueue: PChar): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceSubmit' ;
function _LceUpdate (nSession: SmallInt; strFields: String; strFile: String; strKey: String; bValidate: WordBool): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUpdate' ;
function _LceUseField (nSession: SmallInt; strFields: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUseField' ;
function _LceUseFile (nSession: SmallInt; strFiles: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUseFile' ;
function _LceUseFunction (nSession: SmallInt; strValue: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUseFunction' ;
function _LceUseLanguage (nSession: SmallInt; strValue: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUseLanguage' ;
function _LceUsePartition (nSession: SmallInt; strValue: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUsePartition' ;
function _LceUsePassword (nSession: SmallInt; strValue: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUsePassword' ;
function _LceUsePriority (nSession: SmallInt; nValue: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUsePriority' ;
function _LceUseProcess (nSession: SmallInt; strValue: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUseProcess' ;
function _LceUseSystem (nSession: SmallInt; strValue: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUseSystem' ;
function _LceUseTmpDrive2 (nSession: SmallInt): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUseTmpDrive2' ;
function _LceUseUserId (nSession: SmallInt; strValue: String): WordBool; stdcall; external 'LCOEW32.DLL' name 'LceUseUserId' ;
function _LceVersion (bDisplay: WordBool; hWnd: Integer): LongInt; stdcall; external 'LCOEW32.DLL' name 'LceVersion' ;




function Lce3GLCall (nSession: SmallInt; strProgram: String; strLibrary: String; nParam: SmallInt): WordBool;
begin
     Lce3GLCall := _Lce3GLCall ( nSession, strProgram, strLibrary, nParam )
end ;


function Lce3GLDefineParameter (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt; strDirection: String; strDataType: String; nLength: SmallInt; nDecimal: SmallInt; strValue: String ): WordBool ;
begin
     Lce3GLDefineParameter := _Lce3GLDefineParameter(nSession, nParam, nSubParam, strDirection, strDataType, nLength, nDecimal, strValue ) ;
end ;


function Lce3GLGetValue (nSession: SmallInt; nParam: SmallInt; nSubParam: SmallInt; var strValue: String; nLength: SmallInt ): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( nLength + 1 + 4 ) ;

     Lce3GLGetValue := _Lce3GLGetValue ( nSession, nParam, nSubParam, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;

end ;


function LceCheckFor (nSession: SmallInt; strFile: String; strKey: String ): WordBool;
begin
     LceCheckFor := _LceCheckFor ( nSession, strFile, strKey ) ;
end ;


function LceCommitWork(nSession: SmallInt): SmallInt;
begin
     LceCommitWork := _LceCommitWork ( nSession ) ;
end ;


function LceDelete (nSession: SmallInt; strFile: String; strKey: String; bValidate: WordBool): WordBool;
begin
     LceDelete := _LceDelete ( nSession, strFile, strKey, bValidate ) ;
end ;


function LceDeleteSelect (nSession: SmallInt; strFile: String): WordBool;
begin
     LceDeleteSelect := _LceDeleteSelect ( nSession, strFile ) ;
end ;


function LceDisplayErrors( bDisplay: WordBool; hWnd: Integer): WordBool;
begin
     LceDisplayErrors := _LceDisplayErrors ( bDisplay, hWnd ) ;
end ;


function LceEndSession(nSession: SmallInt; bResume: WordBool): WordBool;
begin
     LceEndSession := _LceEndSession ( nSession, bResume ) ;
end ;


function LceExecute400 (nSession: SmallInt; strCommand: String): WordBool;
begin
     LceExecute400 := _LceExecute400 ( nSession, strCommand ) ;
end ;


function LceFetch (nSession: SmallInt; strFields: String; strFile: String; strKey: String ): WordBool;
begin
     LceFetch := _LceFetch ( nSession, strFields, strFile, strKey ) ;
end ;


function LceGetDefaultValue (nSession: SmallInt; strField: String; var strValue: String ): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDVALUE_SIZE ) ;

     LceGetDefaultValue := _LceGetDefaultValue( nSession, strField, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldDesc (nSession: SmallInt; strField: String; var strValue: String ): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDDESC_SIZE ) ;

     LceGetFieldDesc := _LceGetFieldDesc( nSession, strField, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldEdit (nSession: SmallInt; strField: String; var strEdit: String; var strFlag: String ): WordBool;
var
   ptrEdit: PChar ;
   ptrFlag: PChar ;
begin
     ptrEdit := StrAlloc ( EDITVALUE_SIZE ) ;
     ptrFlag := StrAlloc ( EDITFLAG_SIZE ) ;

     LceGetFieldEdit := _LceGetFieldEdit ( nSession, strField, ptrEdit, ptrFlag ) ;
     strEdit := ptrEdit ;
     strFlag := ptrFlag ;

     StrDispose ( ptrEdit ) ;
     StrDispose ( ptrFlag ) ;

end ;


function LceGetFieldHeading (nSession: SmallInt; strField: String; nHeading: SmallInt; var strValue: String ): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDHEADING_SIZE ) ;

     LceGetFieldHeading := _LceGetFieldHeading ( nSession, strField, nHeading, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldHelpText (nSession: SmallInt; strField: String; strType: String; strEOL: String; var strHelp: String; nLength: LongInt  ): WordBool;
var
   ptrHelp: PChar ;
begin
     ptrHelp := StrAlloc ( FIELDHELP_SIZE ) ;

     LceGetFieldHelpText := _LceGetFieldHelpText (nSession, strField, strType, strEOL, ptrHelp, nLength ) ;
     strHelp := ptrHelp ;

     StrDispose ( ptrHelp ) ;

end ;


function LceGetFieldIndicator (nSession: SmallInt; strField: String; var strValue: String): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDINDICATOR_SIZE ) ;

     LceGetFieldIndicator := _LceGetFieldIndicator (nSession,strField, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldLabel (nSession: SmallInt; strField: String; var strValue: String): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDLABEL_SIZE ) ;

     LceGetFieldLabel := _LceGetFieldLabel (nSession, strField, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldType (nSession: SmallInt; strField: String; var strDataType: String; var nLength: SmallInt; var nDecimal: SmallInt ): WordBool;
var
   ptrDataType: PChar ;
begin
     ptrDataType := StrAlloc ( FIELDTYPE_SIZE + 1 ) ;

     LceGetFieldType := _LceGetFieldType (nSession, strField, ptrDataType, nLength, nDecimal ) ;
     strDataType := ptrDataType ;

     StrDispose ( ptrDataType ) ;

end ;


function LceGetFieldValue (nSession: SmallInt; strField: String; var strValue: String): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDVALUE_SIZE ) ;

     LceGetFieldValue := _LceGetFieldValue (nSession,strField, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;

end ;


function LceGetFieldValueH (nSession: SmallInt; strField: String; hWnd: Integer): WordBool;
begin
     LceGetFieldValueH := _LceGetFieldValueH (nSession, strField, hWnd );
end ;


function LceGetFileDesc (nSession: SmallInt; strFile: String; var strValue: String): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FILEDESC_SIZE ) ;

     LceGetFileDesc := _LceGetFileDesc (nSession, strFile, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;

end ;


function LceGetFileType (nSession: SmallInt; strFile: String; var strValue: String): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FILETYPE_SIZE ) ;

     LceGetFileType := _LceGetFileType (nSession, strFile, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;

end ;


function LceGetMessage (nSession: SmallInt; nMsgNo: SmallInt; var strMessage: String; nLength: SmallInt): WordBool;
var
   ptrMessage: PChar ;
begin
     ptrMessage := StrAlloc ( nLength + 1 ) ;

     LceGetMessage := _LceGetMessage ( nSession, nMsgNo, ptrMessage, nLength ) ;
     strMessage := ptrMessage ;

     StrDispose ( ptrMessage ) ;

end ;


function LceGetMessageCount (nSession: SmallInt; var nCount: SmallInt ): WordBool;
begin
     LceGetMessageCount := _LceGetMessageCount (nSession, nCount ) ;
end ;


function LceGetRecordCount (nSession: SmallInt; strFile: String; var nCount: SmallInt ): WordBool;
begin
     LceGetRecordCount := _LceGetRecordCount ( nSession, strFile, nCount ) ;
end ;


function LceGetSelect (nSession: SmallInt; strFile: String; nRecord: SmallInt; strFieldList: String ): WordBool;
begin
     LceGetSelect := _LceGetSelect (nSession, strFile, nRecord, strFieldList ) ;
end ;


function LceGetSessionId: Integer;
begin
     LceGetSessionId := _LceGetSessionId () ;
end ;


procedure LceGetStatus (var nCode: LongInt; var strMessage: String; nLength: SmallInt ) ;
var
   ptrMessage: PChar ;
begin
     ptrMessage := StrAlloc ( nLength + 1 ) ;

     _LceGetStatus (nCode, ptrMessage, nLength ) ;
     strMessage := ptrMessage ;

     StrDispose ( ptrMessage ) ;

end ;


function LceGetVariable (nSession: SmallInt; strVariable: String; var strValue: String): WordBool;
var
   ptrValue: PChar ;
begin
     ptrValue := StrAlloc ( FIELDVALUE_SIZE ) ;

     LceGetVariable := _LceGetVariable (nSession, strVariable, ptrValue ) ;
     strValue := ptrValue ;

     StrDispose ( ptrValue ) ;
end ;


function LceInsert (nSession: SmallInt; strFields: String; strFile: String; bValidate: WordBool): WordBool;
begin
     LceInsert := _LceInsert (nSession, strFields, strFile, bValidate ) ;
end ;


function LceLansaCall (nSession: SmallInt; strProcess: String; strFunction: String; strProgram: String; strExchange: String): WordBool;
var
 ptrProcess: PChar ;
 ptrFunction: PChar ;
 ptrProgram: PChar ;
 ptrExchange: PChar ;

begin
     ptrProcess := StrAlloc ( PROCESS_SIZE ) ;
     ptrFunction := StrAlloc ( FUNCTION_SIZE ) ;
     ptrProgram := StrAlloc ( PROGRAM_SIZE ) ;
     ptrExchange := StrAlloc ( EXCHANGE_SIZE ) ;

     StrPCopy ( ptrProcess, strProcess ) ;
     StrPCopy ( ptrFunction, strFunction ) ;
     StrPCopy ( ptrProgram, strProgram ) ;
     StrPCopy ( ptrExchange, strExchange ) ;

     LceLansaCall := _LceLansaCall (nSession, ptrProcess, ptrFunction, ptrProgram, ptrExchange ) ;

     StrDispose ( ptrProcess ) ;
     StrDispose ( ptrFunction ) ;
     StrDispose ( ptrProgram ) ;
     StrDispose ( ptrExchange ) ;

end ;


function LceOpenSession(nSession: SmallInt): WordBool;
begin
     LceOpenSession := _LceOpenSession ( nSession ) ;
end ;


function LceReceiveNext (nSession: SmallInt; var strBuffer: String; nSize: SmallInt): WordBool;
var
  ptrBuffer: PChar ;
begin
     ptrBuffer := StrAlloc ( nSize + 1 ) ;

     LceReceiveNext := _LceReceiveNext (nSession, ptrBuffer, nSize ) ;

     strBuffer := ptrBuffer ;
     StrDispose ( ptrBuffer ) ;

end ;


function LceReceiveSelect (nSession: SmallInt; strFile: String): WordBool;
begin
     LceReceiveSelect := _LceReceiveSelect ( nSession, strFile ) ;
end ;


function LceRequestSelect (nSession: SmallInt; strFields: String; strFile: String; strKey: String; nGeneric: WordBool): WordBool;
begin
     LceRequestSelect := _LceRequestSelect (nSession, strFields, strFile, strKey, nGeneric ) ;
end ;


function LceRequestSelectWhere (nSession: SmallInt; strFields: String; strFile: String; strKey: String; strConditions: String; nGeneric: WordBool): WordBool;
begin
     LceRequestSelectWhere := _LceRequestSelectWhere(nSession, strFields, strFile, strKey, strConditions, nGeneric ) ;
end ;


function LceRollBackWork (nSession: SmallInt): SmallInt;
begin
     LceRollBackWork := _LceRollbackWork ( nSession ) ;
end ;


function LceSelect (nSession: SmallInt; strFields: String; strFile: String; strKey: String; nGeneric: WordBool; var nRecordCount: SmallInt ): WordBool;
begin
     LceSelect := _LceSelect (nSession, strFields, strFile, strKey, nGeneric, nRecordCount ) ;
end ;


function LceSetCommitmentOff (nSession: SmallInt): WordBool;
begin
     LceSetCommitmentOff := _LceSetCommitmentOff ( nSession ) ;
end ;


function LceSetCommitmentOn (nSession: SmallInt): WordBool;
begin
     LceSetCommitmentOn := _LceSetCommitmentOn ( nSession ) ;
end ;


function LceSetCommsCursor (nCursor: SmallInt): WordBool;
begin
     LceSetCommsCursor := _LceSetCommsCursor ( nCursor ) ;
end ;


function LceSetCommsType (nType: SmallInt): WordBool;
begin
     LceSetCommsType := _LceSetCommsType ( nType ) ;
end ;


function LceSetFieldValue (nSession: SmallInt; strField: String; strValue: String): WordBool;
begin
     LceSetFieldValue := _LceSetFieldValue (nSession, strField, strValue ) ;
end ;


function LceSetSelectOptions (nSession: SmallInt; strOptions: String): WordBool;
begin
     LceSetSelectOptions := _LceSetSelectOptions ( nSession, strOptions ) ;
end ;


function LceSetSessionOption (nSession: SmallInt; nOption: SmallInt; strValue: String): WordBool;
begin
     LceSetSessionOption := _LceSetSessionOption (nSession, nOption, strValue) ;
end ;


function LceSubmit (nSession: SmallInt; strProcess: String; strFunction: String; strProgram: String; strExchange: String; strJobName: String; strJobDesc: String; strJobQueue: String; strOutputQueue: String): WordBool;
var
 ptrProcess: PChar ;
 ptrFunction: PChar ;
 ptrProgram: PChar ;
 ptrExchange: PChar ;
 ptrJobName: PChar ;
 ptrJobDesc: PChar ;
 ptrJobQueue: PChar ;
 ptrOutputQueue: PChar ;

begin
     ptrProcess := StrAlloc ( PROCESS_SIZE ) ;
     ptrFunction := StrAlloc ( FUNCTION_SIZE ) ;
     ptrProgram := StrAlloc ( PROGRAM_SIZE ) ;
     ptrExchange := StrAlloc ( EXCHANGE_SIZE ) ;
     ptrJobName := StrAlloc ( JOBNAME_SIZE ) ;
     ptrJobDesc := StrAlloc ( JOBDESC_SIZE ) ;
     ptrJobQueue := StrAlloc ( JOBQUEUE_SIZE ) ;
     ptrOutputQueue := StrAlloc ( OUTQUEUE_SIZE ) ;

     StrPCopy ( ptrProcess, strProcess ) ;
     StrPCopy ( ptrFunction, strFunction ) ;
     StrPCopy ( ptrProgram, strProgram ) ;
     StrPCopy ( ptrExchange, strExchange ) ;
     StrPCopy ( ptrJobName, strJobName ) ;
     StrPCopy ( ptrJobDesc, strJobDesc ) ;
     StrPCopy ( ptrJobQueue, strJobQueue ) ;
     StrPCopy ( ptrOutputQueue, strOutputQueue ) ;

     LceSubmit := _LceSubmit ( nSession, ptrProcess, ptrFunction, ptrProgram, ptrExchange, ptrJobName, ptrJobDesc, ptrJobQueue, ptrOutputQueue);

     StrDispose ( ptrProcess ) ;
     StrDispose ( ptrFunction ) ;
     StrDispose ( ptrProgram ) ;
     StrDispose ( ptrExchange ) ;
     StrDispose ( ptrJobName ) ;
     StrDispose ( ptrJobDesc ) ;
     StrDispose ( ptrJobQueue ) ;
     StrDispose ( ptrOutputQueue ) ;

end ;


function LceUpdate (nSession: SmallInt; strFields: String; strFile: String; strKey: String; bValidate: WordBool): WordBool;
begin
     LceUpdate := _LceUpdate (nSession, strFields, strFile, strKey, bValidate);
end ;


function LceUseField (nSession: SmallInt; strFields: String): WordBool;
begin
     LceUseField := _LceUseField ( nSession, strFields ) ;
end ;


function LceUseFile (nSession: SmallInt; strFiles: String): WordBool;
begin
     LceUseFile := _LceUseFile ( nSession, strFiles );
end ;


function LceUseFunction (nSession: SmallInt; strValue: String): WordBool;
begin
     LceUseFunction := _LceUseFunction ( nSession, strValue ) ;
end ;


function LceUseLanguage (nSession: SmallInt; strValue: String): WordBool;
begin
     LceUseLanguage := _LceUseLanguage ( nSession, strValue ) ;
end ;


function LceUsePartition (nSession: SmallInt; strValue: String): WordBool;
begin
     LceUsePartition := _LceUsePartition ( nSession, strValue ) ;
end ;


function LceUsePassword (nSession: SmallInt; strValue: String): WordBool;
begin
     LceUsePassword := _LceUsePassword ( nSession, strValue ) ;
end ;


function LceUsePriority (nSession: SmallInt; nValue: SmallInt): WordBool;
begin
     LceUsePriority := _LceUsePriority ( nSession, nValue ) ;
end ;


function LceUseProcess (nSession: SmallInt; strValue: String): WordBool;
begin
     LceUseProcess := _LceUseProcess ( nSession, strValue ) ;
end ;


function LceUseSystem (nSession: SmallInt; strValue: String): WordBool;
begin
     LceUseSystem := _LceUseSystem ( nSession, strValue ) ;
end ;


function LceUseTmpDrive2 (nSession: SmallInt): WordBool;
begin
     LceUseTmpDrive2 := _LceUseTmpDrive2 ( nSession ) ;
end ;


function LceUseUserId (nSession: SmallInt; strValue: String): WordBool;
begin
     LceUseUserId := _LceUseUserId ( nSession, strValue ) ;
end ;


function LceVersion (bDisplay: WordBool; hWnd: Integer): LongInt;
begin
     LceVersion := _LceVersion ( bDisplay, hWnd ) ;
end ;


end.


